/* Instagram Krug */
.instagram-circle { 
    width: 60px; 
    height: 60px; 
    background: radial-gradient(circle at 30% 107%, #fdf497 0%, #fd5949 45%,#d6249f 60%,#285AEB 90%); 
    border-radius: 50%; 
    display: flex; 
    align-items: center; 
    justify-content: center; 
    font-size: 1.8rem; 
    box-shadow: 0 10px 20px rgba(0,0,0,0.2); 
}

/* Plutajuće opcije */
.secondary-btn { 
    width: 50px; 
    height: 50px; 
    border-radius: 50%; 
    display: flex; 
    align-items: center; 
    justify-content: center; 
}
.contact-option { 
    transition: 0.3s cubic-bezier(0.175, 0.885, 0.32, 1.275); 
    transform: translateY(20px) scale(0); 
    opacity: 0; 
}
.show-contact .contact-option { 
    transform: translateY(0) scale(1); 
    opacity: 1; 
}
#contact-options.hidden { display: none; }

/* Pulsirajuća animacija za Instagram */
.main-instagram-pulse {
    animation: pulse-insta 2s infinite;
}
@keyframes pulse-insta {
    0% { box-shadow: 0 0 0 0 rgba(214, 36, 159, 0.4); }
    70% { box-shadow: 0 0 0 15px rgba(214, 36, 159, 0); }
    100% { box-shadow: 0 0 0 0 rgba(214, 36, 159, 0); }
}